using ASHermed.SinoInterface.Api.ContractModel;
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Repository.MySql;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.IRepository
{
    public interface IDataRepository : IBaseRepositoryToASHermed_SinoInterface<Pub_Message_Qimo>
    {
        List<SurveyModel> GetSurveySendMsgCount(string startDate, string endDate);
        List<Pub_Sms_Survey> GetSurveyReplyMsgCount(string startDate, string endDate);
        List<DataApts> GetAptListFromMonth(string startDate, string endDate);
        List<DataPatAptMore> GetDeptAptMore(string startDate, string endDate);
    }
}
